/looker-queries | Type: Application | PCID required: Yes
Tools
looker_queries_all_looks
Get All Looks Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fields | string | No | — | Requested fields. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"fields": {
"type": "string",
"description": "Requested fields."
}
},
"required": [
"PCID"
]
}
looker_queries_all_running_queries
Get All Running QueriesShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
looker_queries_copy_look
Copy Look Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
look_id | string | Yes | — | Look id to copy. |
folder_id | string | No | — | Folder id to copy to. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"look_id": {
"type": "string",
"description": "Look id to copy."
},
"folder_id": {
"type": "string",
"description": "Folder id to copy to."
}
},
"required": [
"PCID",
"look_id"
]
}
looker_queries_create_look
Create Look Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fields | string | No | — | Requested fields. |
body | object | Yes | — | Look |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"fields": {
"type": "string",
"description": "Requested fields."
},
"body": {
"description": "Look"
}
},
"required": [
"PCID",
"body"
]
}
looker_queries_create_merge_query
Create Merge Query Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fields | string | No | — | Requested fields |
body | object | No | — | Merge Query |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"fields": {
"type": "string",
"description": "Requested fields"
},
"body": {
"description": "Merge Query"
}
},
"required": [
"PCID"
]
}
looker_queries_create_query
Create Query Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fields | string | No | — | Requested fields. |
body | object | Yes | — | Query |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"fields": {
"type": "string",
"description": "Requested fields."
},
"body": {
"description": "Query"
}
},
"required": [
"PCID",
"body"
]
}
looker_queries_create_query_task
Run Query Async Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | Row limit (may override the limit in the saved query). |
apply_formatting | boolean | No | — | Apply model-specified formatting to each result. |
apply_vis | boolean | No | — | Apply visualization options to results. |
cache | boolean | No | — | Get results from cache if available. |
generate_drill_links | boolean | No | — | Generate drill links (only applicable to ‘json_detail’ format. |
force_production | boolean | No | — | Force use of production models even if the user is in development mode. Note that this flag being false does not guarantee development models will be used. |
cache_only | boolean | No | — | Retrieve any results from cache even if the results have expired. |
path_prefix | string | No | — | Prefix to use for drill links (url encoded). |
rebuild_pdts | boolean | No | — | Rebuild PDTS used in query. |
server_table_calcs | boolean | No | — | Perform table calculations on query results |
fields | string | No | — | Requested fields |
body | object | Yes | — | Query parameters |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "integer",
"description": "Row limit (may override the limit in the saved query)."
},
"apply_formatting": {
"type": "boolean",
"description": "Apply model-specified formatting to each result."
},
"apply_vis": {
"type": "boolean",
"description": "Apply visualization options to results."
},
"cache": {
"type": "boolean",
"description": "Get results from cache if available."
},
"generate_drill_links": {
"type": "boolean",
"description": "Generate drill links (only applicable to 'json_detail' format."
},
"force_production": {
"type": "boolean",
"description": "Force use of production models even if the user is in development mode. Note that this flag being false does not guarantee development models will be used."
},
"cache_only": {
"type": "boolean",
"description": "Retrieve any results from cache even if the results have expired."
},
"path_prefix": {
"type": "string",
"description": "Prefix to use for drill links (url encoded)."
},
"rebuild_pdts": {
"type": "boolean",
"description": "Rebuild PDTS used in query."
},
"server_table_calcs": {
"type": "boolean",
"description": "Perform table calculations on query results"
},
"fields": {
"type": "string",
"description": "Requested fields"
},
"body": {
"description": "Query parameters"
}
},
"required": [
"PCID",
"body"
]
}
looker_queries_create_sql_query
Create SQL Runner Query Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object | Yes | — | SQL Runner Query |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"description": "SQL Runner Query"
}
},
"required": [
"PCID",
"body"
]
}
looker_queries_delete_look
Delete Look Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
look_id | string | Yes | — | Id of look |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"look_id": {
"type": "string",
"description": "Id of look"
}
},
"required": [
"PCID",
"look_id"
]
}
looker_queries_kill_query
Kill Running Query Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
query_task_id | string | Yes | — | Query task id. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"query_task_id": {
"type": "string",
"description": "Query task id."
}
},
"required": [
"PCID",
"query_task_id"
]
}
looker_queries_look
Get Look Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
look_id | string | Yes | — | Id of look |
fields | string | No | — | Requested fields. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"look_id": {
"type": "string",
"description": "Id of look"
},
"fields": {
"type": "string",
"description": "Requested fields."
}
},
"required": [
"PCID",
"look_id"
]
}
looker_queries_merge_query
Get Merge Query Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
merge_query_id | string | Yes | — | Merge Query Id |
fields | string | No | — | Requested fields |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"merge_query_id": {
"type": "string",
"description": "Merge Query Id"
},
"fields": {
"type": "string",
"description": "Requested fields"
}
},
"required": [
"PCID",
"merge_query_id"
]
}
looker_queries_move_look
Move Look Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
look_id | string | Yes | — | Look id to move. |
folder_id | string | Yes | — | Folder id to move to. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"look_id": {
"type": "string",
"description": "Look id to move."
},
"folder_id": {
"type": "string",
"description": "Folder id to move to."
}
},
"required": [
"PCID",
"look_id",
"folder_id"
]
}
looker_queries_query
Get Query Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
query_id | string | Yes | — | Id of query |
fields | string | No | — | Requested fields. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"query_id": {
"type": "string",
"description": "Id of query"
},
"fields": {
"type": "string",
"description": "Requested fields."
}
},
"required": [
"PCID",
"query_id"
]
}
looker_queries_query_for_slug
Get Query for Slug Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
slug | string | Yes | — | Slug of query |
fields | string | No | — | Requested fields. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"slug": {
"type": "string",
"description": "Slug of query"
},
"fields": {
"type": "string",
"description": "Requested fields."
}
},
"required": [
"PCID",
"slug"
]
}
looker_queries_query_task
Get Async Query Info Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
query_task_id | string | Yes | — | ID of the Query Task |
fields | string | No | — | Requested fields. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"query_task_id": {
"type": "string",
"description": "ID of the Query Task"
},
"fields": {
"type": "string",
"description": "Requested fields."
}
},
"required": [
"PCID",
"query_task_id"
]
}
looker_queries_query_task_multi_results
Get Multiple Async Query Results Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
query_task_ids | string[] | Yes | — | List of Query Task IDs |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"query_task_ids": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of Query Task IDs"
}
},
"required": [
"PCID",
"query_task_ids"
]
}
looker_queries_query_task_results
Get Async Query Results Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
query_task_id | string | Yes | — | ID of the Query Task |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"query_task_id": {
"type": "string",
"description": "ID of the Query Task"
}
},
"required": [
"PCID",
"query_task_id"
]
}
looker_queries_run_inline_query
Run Inline Query Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
result_format | string | Yes | — | Format of result |
limit | integer | No | — | Row limit (may override the limit in the saved query). |
apply_formatting | boolean | No | — | Apply model-specified formatting to each result. |
apply_vis | boolean | No | — | Apply visualization options to results. |
cache | boolean | No | — | Get results from cache if available. |
image_width | integer | No | — | Render width for image formats. |
image_height | integer | No | — | Render height for image formats. |
generate_drill_links | boolean | No | — | Generate drill links (only applicable to ‘json_detail’ format. |
force_production | boolean | No | — | Force use of production models even if the user is in development mode. Note that this flag being false does not guarantee development models will be used. |
cache_only | boolean | No | — | Retrieve any results from cache even if the results have expired. |
path_prefix | string | No | — | Prefix to use for drill links (url encoded). |
rebuild_pdts | boolean | No | — | Rebuild PDTS used in query. |
server_table_calcs | boolean | No | — | Perform table calculations on query results |
enable_oauth_error_response | boolean | No | — | Return a specialized OAuth error response if a database OAuth error occurs. |
body | object | Yes | — | inline query |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"result_format": {
"type": "string",
"description": "Format of result"
},
"limit": {
"type": "integer",
"description": "Row limit (may override the limit in the saved query)."
},
"apply_formatting": {
"type": "boolean",
"description": "Apply model-specified formatting to each result."
},
"apply_vis": {
"type": "boolean",
"description": "Apply visualization options to results."
},
"cache": {
"type": "boolean",
"description": "Get results from cache if available."
},
"image_width": {
"type": "integer",
"description": "Render width for image formats."
},
"image_height": {
"type": "integer",
"description": "Render height for image formats."
},
"generate_drill_links": {
"type": "boolean",
"description": "Generate drill links (only applicable to 'json_detail' format."
},
"force_production": {
"type": "boolean",
"description": "Force use of production models even if the user is in development mode. Note that this flag being false does not guarantee development models will be used."
},
"cache_only": {
"type": "boolean",
"description": "Retrieve any results from cache even if the results have expired."
},
"path_prefix": {
"type": "string",
"description": "Prefix to use for drill links (url encoded)."
},
"rebuild_pdts": {
"type": "boolean",
"description": "Rebuild PDTS used in query."
},
"server_table_calcs": {
"type": "boolean",
"description": "Perform table calculations on query results"
},
"enable_oauth_error_response": {
"type": "boolean",
"description": "Return a specialized OAuth error response if a database OAuth error occurs."
},
"body": {
"description": "inline query"
}
},
"required": [
"PCID",
"result_format",
"body"
]
}
looker_queries_run_look
Run Look Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
look_id | string | Yes | — | Id of look |
result_format | string | Yes | — | Format of result |
limit | integer | No | — | Row limit (may override the limit in the saved query). |
apply_formatting | boolean | No | — | Apply model-specified formatting to each result. |
apply_vis | boolean | No | — | Apply visualization options to results. |
cache | boolean | No | — | Get results from cache if available. |
image_width | integer | No | — | Render width for image formats. |
image_height | integer | No | — | Render height for image formats. |
generate_drill_links | boolean | No | — | Generate drill links (only applicable to ‘json_detail’ format. |
force_production | boolean | No | — | Force use of production models even if the user is in development mode. Note that this flag being false does not guarantee development models will be used. |
cache_only | boolean | No | — | Retrieve any results from cache even if the results have expired. |
path_prefix | string | No | — | Prefix to use for drill links (url encoded). |
rebuild_pdts | boolean | No | — | Rebuild PDTS used in query. |
server_table_calcs | boolean | No | — | Perform table calculations on query results |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"look_id": {
"type": "string",
"description": "Id of look"
},
"result_format": {
"type": "string",
"description": "Format of result"
},
"limit": {
"type": "integer",
"description": "Row limit (may override the limit in the saved query)."
},
"apply_formatting": {
"type": "boolean",
"description": "Apply model-specified formatting to each result."
},
"apply_vis": {
"type": "boolean",
"description": "Apply visualization options to results."
},
"cache": {
"type": "boolean",
"description": "Get results from cache if available."
},
"image_width": {
"type": "integer",
"description": "Render width for image formats."
},
"image_height": {
"type": "integer",
"description": "Render height for image formats."
},
"generate_drill_links": {
"type": "boolean",
"description": "Generate drill links (only applicable to 'json_detail' format."
},
"force_production": {
"type": "boolean",
"description": "Force use of production models even if the user is in development mode. Note that this flag being false does not guarantee development models will be used."
},
"cache_only": {
"type": "boolean",
"description": "Retrieve any results from cache even if the results have expired."
},
"path_prefix": {
"type": "string",
"description": "Prefix to use for drill links (url encoded)."
},
"rebuild_pdts": {
"type": "boolean",
"description": "Rebuild PDTS used in query."
},
"server_table_calcs": {
"type": "boolean",
"description": "Perform table calculations on query results"
}
},
"required": [
"PCID",
"look_id",
"result_format"
]
}
looker_queries_run_query
Run Query Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
query_id | string | Yes | — | Id of query |
result_format | string | Yes | — | Format of result |
limit | integer | No | — | Row limit (may override the limit in the saved query). |
apply_formatting | boolean | No | — | Apply model-specified formatting to each result. |
apply_vis | boolean | No | — | Apply visualization options to results. |
cache | boolean | No | — | Get results from cache if available. |
image_width | integer | No | — | Render width for image formats. |
image_height | integer | No | — | Render height for image formats. |
generate_drill_links | boolean | No | — | Generate drill links (only applicable to ‘json_detail’ format. |
force_production | boolean | No | — | Force use of production models even if the user is in development mode. Note that this flag being false does not guarantee development models will be used. |
cache_only | boolean | No | — | Retrieve any results from cache even if the results have expired. |
path_prefix | string | No | — | Prefix to use for drill links (url encoded). |
rebuild_pdts | boolean | No | — | Rebuild PDTS used in query. |
server_table_calcs | boolean | No | — | Perform table calculations on query results |
source | string | No | — | Specifies the source of this call. |
enable_oauth_error_response | boolean | No | — | Return a specialized OAuth error response if a database OAuth error occurs. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"query_id": {
"type": "string",
"description": "Id of query"
},
"result_format": {
"type": "string",
"description": "Format of result"
},
"limit": {
"type": "integer",
"description": "Row limit (may override the limit in the saved query)."
},
"apply_formatting": {
"type": "boolean",
"description": "Apply model-specified formatting to each result."
},
"apply_vis": {
"type": "boolean",
"description": "Apply visualization options to results."
},
"cache": {
"type": "boolean",
"description": "Get results from cache if available."
},
"image_width": {
"type": "integer",
"description": "Render width for image formats."
},
"image_height": {
"type": "integer",
"description": "Render height for image formats."
},
"generate_drill_links": {
"type": "boolean",
"description": "Generate drill links (only applicable to 'json_detail' format."
},
"force_production": {
"type": "boolean",
"description": "Force use of production models even if the user is in development mode. Note that this flag being false does not guarantee development models will be used."
},
"cache_only": {
"type": "boolean",
"description": "Retrieve any results from cache even if the results have expired."
},
"path_prefix": {
"type": "string",
"description": "Prefix to use for drill links (url encoded)."
},
"rebuild_pdts": {
"type": "boolean",
"description": "Rebuild PDTS used in query."
},
"server_table_calcs": {
"type": "boolean",
"description": "Perform table calculations on query results"
},
"source": {
"type": "string",
"description": "Specifies the source of this call."
},
"enable_oauth_error_response": {
"type": "boolean",
"description": "Return a specialized OAuth error response if a database OAuth error occurs."
}
},
"required": [
"PCID",
"query_id",
"result_format"
]
}
looker_queries_run_sql_query
Run SQL Runner Query Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
slug | string | Yes | — | slug of query |
result_format | string | Yes | — | Format of result, options are: [“inline_json”, “json”, “json_detail”, “json_fe”, “json_bi”, “csv”, “html”, “md”, “txt”, “xlsx”, “gsxml”, “sql”, “odc”, “json_label”] |
download | string | No | — | Defaults to false. If set to true, the HTTP response will have content-disposition and other headers set to make the HTTP response behave as a downloadable attachment instead of as inline content. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"slug": {
"type": "string",
"description": "slug of query"
},
"result_format": {
"type": "string",
"description": "Format of result, options are: [\"inline_json\", \"json\", \"json_detail\", \"json_fe\", \"json_bi\", \"csv\", \"html\", \"md\", \"txt\", \"xlsx\", \"gsxml\", \"sql\", \"odc\", \"json_label\"]"
},
"download": {
"type": "string",
"description": "Defaults to false. If set to true, the HTTP response will have content-disposition and other headers set to make the HTTP response behave as a downloadable attachment instead of as inline content."
}
},
"required": [
"PCID",
"slug",
"result_format"
]
}
looker_queries_run_url_encoded_query
Run Url Encoded Query Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
model_name | string | Yes | — | Model name |
view_name | string | Yes | — | View name |
result_format | string | Yes | — | Format of result |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"model_name": {
"type": "string",
"description": "Model name"
},
"view_name": {
"type": "string",
"description": "View name"
},
"result_format": {
"type": "string",
"description": "Format of result"
}
},
"required": [
"PCID",
"model_name",
"view_name",
"result_format"
]
}
looker_queries_search_looks
Search Looks Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | No | — | Match look id. |
title | string | No | — | Match Look title. |
description | string | No | — | Match Look description. |
content_favorite_id | string | No | — | Select looks with a particular content favorite id |
folder_id | string | No | — | Select looks in a particular folder. |
user_id | string | No | — | Select looks created by a particular user. |
view_count | string | No | — | Select looks with particular view_count value |
deleted | boolean | No | — | Select soft-deleted looks |
query_id | string | No | — | Select looks that reference a particular query by query_id |
curate | boolean | No | — | Exclude items that exist only in personal spaces other than the users |
last_viewed_at | string | No | — | Select looks based on when they were last viewed |
fields | string | No | — | Requested fields. |
page | integer | No | — | DEPRECATED. Use limit and offset instead. Return only page N of paginated results |
per_page | integer | No | — | DEPRECATED. Use limit and offset instead. Return N rows of data per page |
limit | integer | No | — | Number of results to return. (used with offset and takes priority over page and per_page) |
offset | integer | No | — | Number of results to skip before returning any. (used with limit and takes priority over page and per_page) |
sorts | string | No | — | One or more fields to sort results by. Sortable fields: [:title, :user_id, :id, :created_at, :space_id, :folder_id, :description, :updated_at, :last_updater_id, :view_count, :favorite_count, :content_favorite_id, :deleted, :deleted_at, :last_viewed_at, :last_accessed_at, :query_id, :certification_status] |
filter_or | boolean | No | — | Combine given search criteria in a boolean OR expression |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Match look id."
},
"title": {
"type": "string",
"description": "Match Look title."
},
"description": {
"type": "string",
"description": "Match Look description."
},
"content_favorite_id": {
"type": "string",
"description": "Select looks with a particular content favorite id"
},
"folder_id": {
"type": "string",
"description": "Select looks in a particular folder."
},
"user_id": {
"type": "string",
"description": "Select looks created by a particular user."
},
"view_count": {
"type": "string",
"description": "Select looks with particular view_count value"
},
"deleted": {
"type": "boolean",
"description": "Select soft-deleted looks"
},
"query_id": {
"type": "string",
"description": "Select looks that reference a particular query by query_id"
},
"curate": {
"type": "boolean",
"description": "Exclude items that exist only in personal spaces other than the users"
},
"last_viewed_at": {
"type": "string",
"description": "Select looks based on when they were last viewed"
},
"fields": {
"type": "string",
"description": "Requested fields."
},
"page": {
"type": "integer",
"description": "DEPRECATED. Use limit and offset instead. Return only page N of paginated results"
},
"per_page": {
"type": "integer",
"description": "DEPRECATED. Use limit and offset instead. Return N rows of data per page"
},
"limit": {
"type": "integer",
"description": "Number of results to return. (used with offset and takes priority over page and per_page)"
},
"offset": {
"type": "integer",
"description": "Number of results to skip before returning any. (used with limit and takes priority over page and per_page)"
},
"sorts": {
"type": "string",
"description": "One or more fields to sort results by. Sortable fields: [:title, :user_id, :id, :created_at, :space_id, :folder_id, :description, :updated_at, :last_updater_id, :view_count, :favorite_count, :content_favorite_id, :deleted, :deleted_at, :last_viewed_at, :last_accessed_at, :query_id, :certification_status]"
},
"filter_or": {
"type": "boolean",
"description": "Combine given search criteria in a boolean OR expression"
}
},
"required": [
"PCID"
]
}
looker_queries_sql_query
Get SQL Runner Query Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
slug | string | Yes | — | slug of query |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"slug": {
"type": "string",
"description": "slug of query"
}
},
"required": [
"PCID",
"slug"
]
}
looker_queries_update_look
Update Look Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
look_id | string | Yes | — | Id of look |
fields | string | No | — | Requested fields. |
body | object | Yes | — | Look |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"look_id": {
"type": "string",
"description": "Id of look"
},
"fields": {
"type": "string",
"description": "Requested fields."
},
"body": {
"description": "Look"
}
},
"required": [
"PCID",
"look_id",
"body"
]
}
looker_queries_update_look_certification
Update Look Certification Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
look_id | string | Yes | — | Look id to update certification. |
body | object | Yes | — | Certification Data |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"look_id": {
"type": "string",
"description": "Look id to update certification."
},
"body": {
"description": "Certification Data"
}
},
"required": [
"PCID",
"look_id",
"body"
]
}

